/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Program3;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class ReplaceWordTest {
    @Test void replaceOneWord() {
        String str = "ехать медленно";
        String[] unlovedWord = new String[]{"медленно", "просто"};
        String lovedWord = "быстро";
        assertEquals(ReplaceWord.replaceWord(str, unlovedWord, lovedWord), "ехать быстро");
    }

    @Test void replaceOneWordTogether() {
        String str = "распятый монстр";
        String[] unlovedWord = new String[]{"пятый", "просто"};
        String lovedWord = "быстро";
        assertEquals(ReplaceWord.replaceWord(str, unlovedWord, lovedWord), "распятый монстр");
    }

    @Test void replaceTwoWord() {
        String str = "ехать медленно медленно";
        String[] unlovedWord = new String[]{"медленно", "просто"};
        String lovedWord = "быстро";
        assertEquals(ReplaceWord.replaceWord(str, unlovedWord, lovedWord), "ехать быстро быстро");
    }

    @Test void replaceZeroWord() {
        String str = "ехать быстро";
        String[] unlovedWord = new String[]{"медленно", "просто"};
        String lovedWord = "быстро";
        assertEquals(ReplaceWord.replaceWord(str, unlovedWord, lovedWord), "ехать быстро");
    }
}
